# roles/FiveM/tasks/main.yml
---
- name: Ensure curl is present
  package:
    name: curl
    state: present

- name: Install fivem server
  include_tasks: install.yml

- name: Configure fivem server
  include_tasks: config.yml

- name: install optimized essential mode
  include_tasks: essential_mode.yml

- name: install backup db and optimizes tool for db
  include_tasks: utility_tools.yml

- name: check if txadmin is accessible on localhost
  wait_for:
    host: localhost
    port: "{{ txadmin_port }}"
    state: started
    delay: 20

- name: Get the public IP address of the network.
  uri:
    url: https://api.ipify.org?format=json
    method: GET
  changed_when: false
  register: public_ip
  until: public_ip.status == 200
  retries: 6
  delay: 10

- name: check if txadmin is accessible on internet
  wait_for:
    host: "{{ public_ip.json.ip }}"
    port: "{{ txadmin_port }}"
    state: started
    delay: 20
  when: ansible_default_ipv4.address is defined

- name: Get the pin code from txadmin.
  shell: journalctl -u fivem --since today | grep -oP "\s(\d{4})\s" | tail -1
  register: txadmin_pin
  changed_when: false
  check_mode: false 

- name: Return address TxAdmin.
  debug:
    msg: 
    - "Your txadmin internet address is : {{ public_ip.json.ip }}:{{ txadmin_port }}"
    - "Your TxAdmin PIN is : {{ txadmin_pin.stdout_lines }}"
